    <!DOCTYPE html>
    <html>

    <head>
        <meta charset="utf-8">
        <title>List of courses</title>
        <link href="./css/style.css" rel="stylesheet" type="text/css">
        <script src = "https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    </head>

    <body>
        <div class = "course-form">
            <h1>Course List</h1>
                    <table >
                        <thead>
                            <th>Check</th>
                            <th>Name</th>
                            <th>Descript</th>
                        </thead>
                        <tbody class="tbody">
                        </tbody>
                    </table>
                    <br>
                    <button onclick="goClick()" name="next" id="next" value="GO!!!"> GO!!! </button>
                        
        </div>
        <div class="data-holder"></div>
        <script>
        const UserModel = require('../models/users_model.js');

        let selectedId = -1;
        
        (async () => {
            const courses = await UserModel.getCourses('kien.do');

            const tbody = document.querySelector('.tbody');

            for (const course of courses) {
                const tr = document.createElement('tr');
                const radio = document.createElement("input");
                radio.setAttribute("type", "radio");    
                radio.innerHTML = ``
                tr.innerHTML = `
                <td><input type="radio" name="radio"/></td>
                <td>${course.name}</td>
                <td>${course.descript}</td>`;

                if (!course.valid) {
                    tr.classList.add('disabled-course');
                    tr.querySelector('td > input').disabled = true;
                }
                tbody.appendChild(tr);

                

                tr.addEventListener('click', () => {
                    selectedId = course.id;
                });
            
            }
        })();

        function goClick(){
            const button = document.querySelector('.next');
            
            if (selectedId === -1) {
            alert('please select a course');
            } else {
                window.location = `./question.html?courseId=${selectedId}`;
            }
        }

        </script>
    </body>

    </html>